<html>
<body BGCOLOR="FFFFFF">

      <h1>Documentation</h1>

 <b>PETSc</b> is a
sophisticated       package and fully     understanding its usage
requires time. However, application programmers can easily begin     to
use <b>PETSc</b> from a high level and then gradually learn more
details according to     their needs. Users should read the users
manual before attempting to do any serious coding     with <b>PETSc</b>!
      <ul>
        <li><strong>PETSc users manual</strong> - <a
 href="manual.pdf">pdf
(fully searchable with hyperlinks)</a> </li>
        <li> <a
 href="manualpages/help.html">Index</a>
of all help topics</li>
        <li><a
 href="manualpages/singleindex.html">Index</a>
of all manual pages</li>
      </ul>
      <p><strong>PETSc Manual Pages and Examples &nbsp;&nbsp;&nbsp;</strong>
  <a href="http://www.mcs.anl.gov/mpi/www">MPI</a>&nbsp;&nbsp;&nbsp; 
  <a href="http://www.mcs.anl.gov/tao/docs/index.htm">TAO</a> </p>
      <ul>

        <li><a
 href="manualpages/Vec/index.html">Vector
Operations (Vec)</a> </li>
        <li><a
 href="manualpages/Mat/index.html">Matrix
Operations (Mat)</a>
          <menu> <li><a
 href="manualpages/MatOrderings/index.html">Matrix
colorings (MatColoring), orderings (MatOrdering), and partitionings
(MatPartitioning)</a></li>
          <li><a
 href="manualpages/MatFD/index.html">Finite
difference computation of Jacobians (MatFD)</a></li>
          </menu>
        </li>
        <li>Data and grid management</li>

        <menu> <li><a
 href="manualpages/IS/index.html">Index
sets (IS)</a> </li>
        <li><a
 href="manualpages/DA/index.html">Distributed
Arrays (DA)</a> </li>
        <li><a
 href="manualpages/AO/index.html">Application
Orderings (AO)</a> </li>
        <li><a
 href="manualpages/PF/index.html">Defining
your own mathematical functions (PF)</a> </li>
        </menu>

        <li><a
 href="manualpages/KSP/index.html">Linear
Solvers (KSP)</a>
          <menu> <li><a href="linearsolvertable.html">Summary table of all
              linear solvers</a> </li>
 <li><a
 href="manualpages/PC/index.html">Preconditioners
(PC)</a> </li>
          <li><a
 href="manualpages/KSP/index.html">Krylov
Subspace Methods (KSP)</a> </li>
          </menu>
        </li>
        <li><a
 href="manualpages/SNES/index.html">Nonlinear
Solvers (SNES)</a>
          <menu> <li><a
 href="manualpages/SNESMF/index.html">Matrix-free
nonlinear solvers (SNESMFFD)</a></li>
          </menu>
        </li>
        <li><a
 href="manualpages/TS/index.html">Time
Stepping         (TS) ODE solvers</a></li>
        <li>Utilities
          <menu> <li><a
 href="manualpages/Viewer/index.html">Viewing
Objects</a> </li>
          <li><a
 href="manualpages/Draw/index.html">Graphics
(Draw)</a> </li>
          <li><a
 href="manualpages/Sys/index.html">System
Routines (Options, IO, utilities)</a> </li>
          <li><a
 href="manualpages/Profiling/index.html">Profiling
and Logging</a> </li>
          </menu>
        </li>
      </ul>
      <p>The manual pages are split into four categories; we recommend
that you begin with basic     functionality and then gradually explore
more sophisticated library features. </p>
      <menu> <li><i>Beginner </i>- Basic usage </li>
      <li><i>Intermediate </i>- Setting options for algorithms and
data structures </li>
      <li><i>Advanced </i>- Setting more advanced options and
customization </li>
      <li><i>Developer </i>- Interfaces intended primarily for library
developers, not for typical         applications programmers </li>
      </menu>
      <h3 align="left"><a name="Supplementary">Supplementary</a>
Documentation</h3>
      <ul>
        <li><a href="installation.html">Installation</a> -
detailed instructions for installing         PETSc</li>
        <li><a href="changes/index.html">Changes</a> - changes and new
features in recent versions of         PETSc </li>
        <li><a href="troubleshooting.html">Troubleshooting</a> - help
when something goes wrong</li>
        <li><a href="bugreporting.html">Bug Reporting</a> - details on
how to report bugs</li>
        <li><a href="codemanagement.html">Code Management </a>- hints
for efficient management of         large-scale application codes</li>
        <li><a href="faq.html">FAQ</a> - frequently asked questions
about PETSc</li>
        <li><a href="copyright.html">Copyright</a> - statement of the
PETSc copyright</body>
</html>
